SPLIT(1)

NOM
split - Découper un fichier en plusieurs parties

SYNOPSIS
split [OPTION]... [ENTRÉE [PRÉFIXE]]

DESCRIPTION

Les morceaux de taille fixe seront écrits du fichier d'entrée vers PRÉFIXEaa, PRÉFIXEab, ... ; la taille par défaut est de 1000 lignes, et le PRÉFIXE par défaut est « x ». L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-a, --suffix-length=N
    générer des suffixes de longueur N (2 par défaut)

--additional-suffix=SUFFIXE
    ajouter un SUFFIXE à la fin des noms de fichier

-b, --bytes=TAILLE
    placer TAILLE octets par fichier de sortie

-C, --line-bytes=TAILLE
    écrire des lignes de TAILLE octets au plus par fichier de sortie

-d, --numeric-suffixes[=DÉBUT]
    utiliser des suffixes numériques plutôt que des suffixes alphabétiques. DÉBUT indique la valeur de départ (0 par défaut)

-e, --elide-empty-files
    ne pas créer de fichier de sortie vide avec -n

--filter=COMMANDE
    envoyer la sortie à COMMANDE ; le nom du fichier est contenu dans $FILE

-l, --lines=NOMBRE
    écrire NOMBRE lignes par fichier de sortie

-n, --number=PARTIES
    générer PARTIES fichiers de sortie ; consultez l’explication ci-dessous.

-u, --unbuffered
    copier directement l'entrée vers la sortie avec « -n r/... »

--verbose
    afficher un diagnostic juste avant l'ouverture de chacun des fichiers de sortie

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

L’argument TAILLE est un entier suivi d'une unité facultative (10k pour 10×1024 par exemple). Les unités sont K, M, G, T, P, E, Z et Y (puissances de 1024) ou KB, MB, etc. (puissances de 1000).

PARTIES peut être : N pour découper en N fichiers en fonction de la taille de l'entrée ; K/N pour envoyer la Kième partie sur la sortie standard ; l/N pour découper en N fichiers sans couper les lignes ; l/K/N pour envoyer la Kième partie sur la sortie standard sans couper les lignes ; r/N, comme « l » mais avec une distribution de type « round-robin » ; r/K/N, de même en envoyant la Kième partie sur la sortie standard.

AUTEUR
Écrit par Torbjorn Granlund et Richard M. Stallman.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction de split à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <http://www.gnu.org/software/coreutils/split>
aussi disponible localement à l’aide de la commande : info '(coreutils) split invocation'

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Julien Rosal <albator DOT deb AT gmail DOT com> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.